Bug 737363 - dracut actually Requires a newer filesystem than indicated
Summary: dracut actually Requires a newer filesystem than indicated
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 16
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 13:35 UTC by Bruce Jerrick
Modified: 2012-01-23 09:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-23 09:27:14 UTC


Attachments (Terms of Use)

Description Bruce Jerrick 2011-09-11 13:35:47 UTC
Description of problem:
Since F15 core, dracut has been using /run, but its "Requires: filesystem"
still accepts an old version of 'filesystem' without a /run directory.

Version-Release number of selected component (if applicable):
dracut-013-4.fc16
(and all versions back to dracut-009-10.fc15 (F15 core) inclusive)

How reproducible:
There will probably never be a problem in real life; only if one is
brave enough to upgrade to F15/F16 dracut on an F14 system.

Steps to Reproduce/Actual results:
With an initramfs generated by these dracut's, but on a system without
a /run directory, boot seems OK, but at shutdown there are repeated
messages: "umount: /run: not found" (and similar from umount2).
(There may well be messages at boot that I missed.  There is also a
bogus /run entry in /proc/mounts .)

Suggested fix:
Update the "Requires: filesystem" in dracut.spec to be:

    Requires: filesystem >= 2.4.39	# first appearance of /run

Additional info:
I grant that this is probably a moot point (not to be confused with
a mount point), but if the Requires is there at all it ought to be
correct.

Comment 1 Harald Hoyer 2011-09-13 15:46:39 UTC
dracut does not shutdown your system with old systemd versions. Can you show me the /proc/mounts entry? There cannot be any /run mount, if no directory exists.

Comment 2 Fedora Admin XMLRPC Client 2011-10-20 16:19:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.